@import "~assets/variables.scss";

.about-us {
    ul {
        margin:25px auto;
        width: 100%;
        max-width: 950px;
        li {
            display: table;
            margin: 50px 0;
            @media (max-width: 760px)  {
                margin: 20px 0;
            }
            .contain-text {
                display: table-cell;
                vertical-align: bottom;
                padding-bottom: 55px;
                @media (max-width: 760px)  {
                    padding-bottom: 0;
                }
                .title, .text {
                    float: left;
                    display: table-row;
                    padding: 0 30px;
                    @media (max-width: 760px)  {
                        padding: 0 15px;
                    }
                }
                .title:after {
                    content: '';
                    overflow: hidden;
                    margin-top: 16px;
                    margin-bottom: 16px;
                    width: 33px;
                    height: 2px;
                    background: $borderColor;
                    display: block;
                }
            }
            &.right {
                .title {
                    padding-left: 30px;
                    padding-right:0;
                    display: table-cell;
                }
            }
            &.left {
                .title {
                    padding-right: 30px;
                    display: table-cell;    
                                         
                }
            }
            .title {
                font-family: 'Montserrat';
                text-transform: uppercase;
                color: $darkFont;
                font-weight: 900;                
                display: table-cell;
                white-space: nowrap;
                vertical-align: middle;
                &.lft-position {
                    padding: 10px 50px 10px 30px;
                    border-right: 2px solid $borderColor;
                    @media (max-width: 760px)  {
                        display: block;
                        padding: 0 15px;
                        &:after {
                            content:'';
                            display: block;
                            width: 33px;
                            background: $borderDark;
                            height: 2px;
                            margin-top: 14px;                            
                        }
                    }                       
                }
            }
            .text {
                vertical-align: middle;
                font-family: 'Lato';
                font-size: 13px;
                color: $darkGrey;
                display: table-cell;
                padding-left: 30px;
                padding-right: 30px;
                @media (max-width: 760px)  {
                    display: block;
                    float: left;
                    padding: 15px;
                }
            }
            .picture {
                width: 340px;
                height: 280px;
                background-size: cover;
                display: table-cell;
                @media (max-width: 760px)  {
                    display: none;
                }
                &.vision {
                    background-image: url(../../assets/location.jpg);
                }
                &.mission { 
                    background-image: url(../../assets/mission.png);
                }
            }
            
        }
    }
}